import type { PSBoolean, PSExternal, PSFn, PSList, PSMap, PSNumber, PSRef, PSString, PSValue } from "./types.js";
export declare function number(value: number): PSNumber;
export declare function boolean(value: boolean): PSBoolean;
export declare function string(value: string): PSString;
export declare function ref(key: string, path: string[]): PSRef;
export declare function list(value: PSValue[]): PSList;
export declare function map(value: Record<string, PSValue>): PSMap;
export declare function external(value: unknown, view?: PSExternal["view"]): PSExternal;
export declare function fn(value: PSFn["value"]): PSFn;
